Page MenuHomePhabricator

Creating wiki at beta cluster for the Dutch Wikipedia
Closed, ResolvedPublic

Description

Is it possible to create a beta cluster for the Dutch Wikipedia? (Like this one http://commons.wikimedia.beta.wmflabs.org/wiki/Main_Page). I want to make Twinkle usable for the Dutch Wikipedia but this will require coding in the Mediawiki namespace and likely help from non sysops. The domain should be http://nl.wikipedia.beta.wmflabs.org. This coding cannot be done at the Dutch Wikipedia.

If this is possible, please also grant me steward rights at this cluster so I can coordinate things more easely like granting userrights and removing them if needed.

Event Timeline

Natuur12 raised the priority of this task from to Needs Triage.
Natuur12 updated the task description. (Show Details)
Natuur12 subscribed.
Natuur12 set Security to None.
Luke081515 renamed this task from Creating beta cluster for the Dutch Wikipedia to Creating wiki at beta cluster for the Dutch Wikipedia.Nov 8 2015, 5:30 PM
Luke081515 subscribed.

If someone can create this wiki, I can give you bureaucrats rights.

NOTE: We would just set one wiki up, at the beta cluster.

I'm confused why it couldn't be done on the dutch wikipedia? You can code JS in your user namespace.....

Not a big fan of more testing in a live environment, especially with JavaScript-things. I'm supporting this.

hashar triaged this task as Medium priority.Nov 9 2015, 1:08 PM

@Natuur12: Are you still interested in doing this?

@Krenair: yes, I am interested though I do have less time than when I asked but it should be managable with some help.

Sjoerddebruin is interested in helping. (Should be enough for th e technical aspect)

Change 283689 had a related patch set uploaded (by Alex Monk):
Add nlwiki to deployment-prep

https://gerrit.wikimedia.org/r/283689

Change 283689 merged by jenkins-bot:
Add nlwiki to deployment-prep

https://gerrit.wikimedia.org/r/283689

Change 286475 had a related patch set uploaded (by Alex Monk):
Add beta nlwiki

https://gerrit.wikimedia.org/r/286475

Change 286476 had a related patch set uploaded (by Alex Monk):
restbase: Add beta nlwiki

https://gerrit.wikimedia.org/r/286476

Krenair added a subscriber: Mtherwjs.

@Mtherwjs: VE is not working yet, this is not resolved

Dutch Wikipedia Beta.wikimflabs.org created

Thanks everyone. @Luke081515: could you please give me some user rights. Without it I cannot start.

@Mtherwjs: Stop doing that, this still has an open patch, it's not completely set up

Change 286476 merged by Filippo Giunchedi:
restbase: Add beta nlwiki

https://gerrit.wikimedia.org/r/286476

Doesn't seem to be working yet: http://nl.wikipedia.beta.wmflabs.org/api/rest_v1/page/html/Hoofdpagina

@mobrovac? I notice puppet on deployment-restbase01 is failing due to issues with the cassandra package....

We are testing a newer version of Cassandra there, and Puppet fails on package pins (even though a newer package is installed, non-sense). I fixed the config and restarted RESTBase, so it should now work(TM).

A way to avoid such things in the short term would be to point MW to use deployment-restbase02 instead, but this Cassandra situation shouldn't last long so I don't think it's worth it.

That RB URL is still broken though

mobrovac added a subscriber: ssastry.

It turns out for that specific URL, there's a Parsoid error:

[2016-05-05T21:38:54.573Z] ERROR: restbase/30210 on deployment-restbase01: 500 (message=500, latency=497, levelPath=error/request, request_id=c3b9b5a2-1309-11e6-a340-61dedc7da897, res.name=HTTPError, res.message=500, res.status=500, res.requestName=get_from_backend)
    x-powered-by: Express
    content-type: text/plain; charset=utf-8
    etag: W/"3a4-0aHoU1530jJj8drUZCqdng"
    vary: Accept-Encoding
    date: Thu, 05 May 2016 21:38:54 GMT
    access-control-allow-origin: *
    access-control-allow-methods: GET
    access-control-allow-headers: accept, content-type
    access-control-expose-headers: etag
    cache-control: private, max-age=0, s-maxage=0, must-revalidate
    x-content-type-options: nosniff
    x-frame-options: SAMEORIGIN
    x-xss-protection: 1; mode=block
    content-security-policy: default-src 'none'; frame-ancestors 'none'
    x-content-security-policy: default-src 'none'; frame-ancestors 'none'
    x-webkit-csp: default-src 'none'; frame-ancestors 'none'
    x-request-id: c3b9b5a2-1309-11e6-a340-61dedc7da897
    
    error: Failed to parse the JSON response for Config Request path: /nl.wikipedia.beta.wmflabs.org/v3/page/pagebundle/Hoofdpagina/9
    ParserError: Failed to parse the JSON response for Config Request
        at ApiRequest._handleBody (/srv/deployment/parsoid/parsoid/lib/mw/ApiRequest.js:455:11)
        at ApiRequest._requestCB (/srv/deployment/parsoid/parsoid/lib/mw/ApiRequest.js:413:8)
        at Request.self.callback (/srv/deployment/parsoid/parsoid/node_modules/request/request.js:198:22)
        at Request.EventEmitter.emit (events.js:98:17)
        at Request.<anonymous> (/srv/deployment/parsoid/parsoid/node_modules/request/request.js:1063:14)
        at Request.EventEmitter.emit (events.js:117:20)
        at IncomingMessage.<anonymous> (/srv/deployment/parsoid/parsoid/node_modules/request/request.js:1009:12)
        at IncomingMessage.EventEmitter.emit (events.js:117:20)
        at _stream_readable.js:920:16
        at process._tickCallback (node.js:415:13)
    --
    stack: HTTPError: 500
        at Request.P.try.bind.then.err.retry.HTTPError.status (/srv/deployment/restbase/deploy/node_modules/hyperswitch/node_modules/preq/index.js:219:23)
        at Request.tryCatcher (/srv/deployment/restbase/deploy/node_modules/bluebird/js/release/util.js:16:23)
        at Promise._settlePromiseFromHandler (/srv/deployment/restbase/deploy/node_modules/bluebird/js/release/promise.js:502:31)
        at Promise._settlePromise (/srv/deployment/restbase/deploy/node_modules/bluebird/js/release/promise.js:559:18)
        at Promise._settlePromise0 (/srv/deployment/restbase/deploy/node_modules/bluebird/js/release/promise.js:604:10)
        at Promise._settlePromises (/srv/deployment/restbase/deploy/node_modules/bluebird/js/release/promise.js:683:18)
        at Promise._fulfill (/srv/deployment/restbase/deploy/node_modules/bluebird/js/release/promise.js:628:18)
        at Request._callback (/srv/deployment/restbase/deploy/node_modules/bluebird/js/release/nodeback.js:45:21)
        at Request.self.callback (/srv/deployment/restbase/deploy/node_modules/hyperswitch/node_modules/preq/node_modules/request/request.js:200:22)
        at emitTwo (events.js:87:13)
        at Request.emit (events.js:172:7)
        at Request.<anonymous> (/srv/deployment/restbase/deploy/node_modules/hyperswitch/node_modules/preq/node_modules/request/request.js:1067:10)
        at emitOne (events.js:82:20)
        at Request.emit (events.js:169:7)
        at IncomingMessage.<anonymous> (/srv/deployment/restbase/deploy/node_modules/hyperswitch/node_modules/preq/node_modules/request/request.js:988:12)
        at emitNone (events.js:72:20)
        at IncomingMessage.emit (events.js:166:7)
        at endReadableNT (_stream_readable.js:905:12)
        at nextTickCallbackWith2Args (node.js:441:9)
        at process._tickCallback (node.js:355:17)
    --
    root_req: {
      "method": "get",
      "uri": "/nl.wikipedia.beta.wmflabs.org/v1/page/html/Hoofdpagina",
      "headers": {
        "user-agent": "curl/7.38.0",
        "x-client-ip": "::ffff:10.68.17.189",
        "x-forwarded-for": "::ffff:10.68.17.189",
        "x-request-id": "c3b9b5a2-1309-11e6-a340-61dedc7da897",
        "x-request-class": "internal"
      }
    }

Looks like the Parsoid issue got fixed at some point.